Subject: Re: [PATCH net] net: phy: Allow EEE for all RGMII variants

From: Florian Fainelli <[email-masked]>
Date: Fri, 15 May 2015 19:01:40 -0700

Le 05/15/15 18:22, David Miller a écrit :
> From: Florian Fainelli <[email-masked]>
> Date: Fri, 15 May 2015 16:30:41 -0700
> 
>> RGMII interfaces come in multiple flavors: RGMII with transmit or
>> receive internal delay, no delays at all, or delays in both direction.
>>
>> This change extends the initial check for PHY_INTERFACE_MODE_RGMII to
>> cover all of these variants since EEE should be allowed for any of these
>> modes, since it is a property of the RGMII, hence Gigabit PHY capability
>> more than the RGMII electrical interface and its delays.
>>
>> Fixes: a59a4d192166 ("phy: add the EEE support and the way to access to the MMD registers")
>> Signed-off-by: Florian Fainelli <[email-masked]>
> 
> This is not the first time I've seen this bug.
> 
> A helper like phydev_is_rgmii() is probably long overdue.

Sounds very reasonable, I will cook something which does that, thanks!

> 
>> David this change dates back to 3.6, however the comment update will depend on
>> a9f6309585cbefa4a7f08c9017ca482c3222323a ("net: phy: allow phy_init_eee() to
>> work with internal PHYs") to be included, which is only 3.18, nobody but me
>> really complained about that so I guess 3.18+ is reasonable.
> 
> Ok, applied and queued up for -stable, thanks.
> 

-- 
Florian